const { ccclass, property } = cc._decorator;

@ccclass
export default class NewClass extends cc.Component {
  @property
  animationName: string = 'normal';

  start() {
    this.node.getComponent(dragonBones.ArmatureDisplay).on(dragonBones.EventObject.COMPLETE, () => {
      this.node.getComponent(dragonBones.ArmatureDisplay).playAnimation(this.animationName, -1);
    });
  }
}
